Request

Endpoint: !ValidateMarkLogo

https://secure.trust-provider.com/products/!ValidateMarkLogo

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table displays the required, optional, and conditional parameters.

Parameter Type Requirement Max. Length Description

loginName

string

required

64 chars

Your account username.

This value is case sensitive.

loginPassword

string

required

128 chars

Your account password.

This value is case sensitive.

markLogo

string

required

32767 chars

The mark logo image, provided as a Base64-encoded string.

Sample request

curl --location 'https://secure.trust-provider.com/products/!ValidateMarkLogo' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'markLogo=yourBase64EncodedLogo'

Response

The MIME type of the response is application/json.

The response contains an error object that indicates the result of the request.

If the status code value is less than 0, the response represents a failure and includes an error description.

If the status code value is greater than or equal to 0, the response represents a successful operation.

Response parameters

Field Type Description

errorCode

integer

A numeric code that identifies the type of error.

errorMessage

string

A description of the error. This field is null when the request is successful.

errorItem

string

Additional error details. This field is null when the request is successful.

Sample success response

{
    "error": {
        "code": 0,
        "description": null,
        "item": null
    }
}

Sample error response

	{
    "error": {
        "code": -160,
        "description": "Failed to validate logo. SVG must be version 1.2 with baseProfile 'tiny-ps'.viewBox width and height must be equal (square). Got 216.03749x216.36249. Width and height must be numeric (optionally ending in 'px'). Attribute xmlns:dc not allowed on <svg>.Attri",
        "item": "Failed to validate logo. SVG must be version 1.2 with baseProfile 'tiny-ps'.viewBox width and height must be equal (square). Got 216.03749x216.36249. Width and height must be numeric (optionally ending in 'px'). Attribute xmlns:dc not allowed on <svg>.Attri"
    }
}

Error codes

The following table outlines error responses returned by the ValidateMarkLogo API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

Unrecognised argument!

The provided argument is not recognized.

-2

'xxxx' is an unrecognised argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

A required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-16

Incorrect login details, account is locked, password has expired or your source IP is blocked.

The authentication failed due to incorrect login details, locked account, expired password, or blocked source IP address.

-16

Permission denied!

Authentication failed due to permission issues.

-17

Request used 'GET' rather than 'POST'!

The request method should be POST.

-42

Call limit reached! Please try again later

The maximum number of allowed API requests has been exceeded. Please wait before submitting additional requests.

-91

Permission denied 'xxxx'

The user does not have permission for the specified context.

-91

Permission denied 'Context'

The user does not have permission for the requested context.

-91

Permission Denied. Not allowed to use the AUTO-Apply service.

The user is not permitted to use the auto-apply service.

-160

Failed to validate logo.

The provided logo does not meet validation requirements.